Subject: Re: bug#22234: 25.0.50; EWW doesn't display some links in GNU manuals

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 25 Dec 2015 20:49:18 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 25 Dec 2015 18:22:12 +0100
>> 
>> What stumped me was this:
>> 
>> Remote-Configuration.html#set%20remote%20exec%2dfile
>> 
>> The anchor here is "set remote exec-file", and it didn't go there in the
>> final page.  But there is no such anchor there!  There's a 
>> 
>> <a name="set-remote-exec_002dfile">
>> 
>> anchor there, though.  Is this a bug on the web pages?
>
> I'm not an HTML expert, but aren't you supposed to use the part after
> the hash in the original link, not the redirecting one?

I didn't consider that...

Apparently there is much confusion around the issue.  The spec
originally didn't allow #fragments in HTTP redirects, but then it did:

"With strict reading RFC2616 does not allow fragments in Location header
values, since they are not part of absolute URIs. However, with the
IETF's HTTP rewrite draft this was fixed."

http://stackoverflow.com/questions/1284021/can-i-send-a-http-redirect-to-a-url-with-an-anchor

But this is with HTTP redirects...  I wonder whether HTML <meta>
redirects suffer the same confusion...

I looked at what Firefox did with the page in question, and it, too,
didn't seem to go to the intended anchor.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no